# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/teste/teste/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/teste/teste/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Teste\\Teste\\": "packages/teste/teste/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Teste\Teste\Providers\TesteServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Teste'  => Teste\Teste\Facades\Teste::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Teste\\TesteTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Teste\Teste\Providers\TesteServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Teste\Teste\Providers\TesteServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Teste\Teste\Providers\TesteServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/teste/{modulename}

**User**

    http://path-to-route-folder/user/teste/{modulename}

**Public**

    http://path-to-route-folder/testes


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/teste/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/teste/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/teste/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/teste/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/teste/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/teste/{modulename}/{slug}
    METHOD: GET